
extdesc="the Apache Jena Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GEXT_JENA" = "x" ] ; then
  export GEXT_JENA=`pwd`

  if [ -d "$GEXT_JENA/bin/script" ] ; then
    export PATH=$GEXT_JENA/bin/script:$PATH
  fi

  if [ -d "$GEXT_JENA/lib" ] ; then
    if [ "$GSDLOS" = "linux" ] ; then
      export LD_LIBRARY_PATH=$GEXT_JENA/lib:$LD_LIBRARY_PATH
    elif [ "$GSDLOS" = "darwin" ] ; then
      export DYLD_LIBRARY_PATH=$GEXT_JENA/lib:$DYLD_LIBRARY_PATH
    fi
  fi

  extdir=${GEXT_JENA##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi
